gudhi (3.11.0+dfsg-2build1) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:30:30 +0100

gudhi (3.11.0+dfsg-2) unstable; urgency=medium

  * Add patch to support Boost 1.88 and later.
  * Remove dependencies on libboost-system-dev, which no longer
    exists. (Closes: #1127205)
  * Build-depend on python3-numpy-dev for explicit dependency on
    dh_numpy3.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 28 Feb 2026 22:19:05 +0100

gudhi (3.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
    - Drop patch for handling isolated zero-simplices, upstreamed.
  * Standards-version 4.7.2.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 24 Mar 2025 16:08:54 +0100

gudhi (3.10.1+dfsg-3) unstable; urgency=medium

  * Disable Wasserstein distance test to allow package to migrate despite
    of bug #1089128. The Hera-based Wasserstein distance code is likely
    buggy, but is a very small part of GUDHI as a whole.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 17 Feb 2025 07:50:26 +0100

gudhi (3.10.1+dfsg-2) unstable; urgency=medium

  * Add patch to handle isolated zero-simplices without crashing.
    (Closes: #1085243)
  * Stop building GudhUI package. It requires CGAL's Qt 5 integration,
    which has been dropped. GudhUI will return if upstream moves to Qt
    6. (Closes: #1085005, #1085078)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 28 Oct 2024 20:31:28 +0100

gudhi (3.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Compatible with CGAL 6. (Closes: #1074115)
  * Rebase patches.
  * Extend patch that removes tests relying on DFSG-removed data files.
  * Standards-version 4.7.0.0. No changes needed.
  * Update dependency bounds.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 04 Jul 2024 15:22:02 +0200

gudhi (3.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Bump dependency versions.
  * Return to build-depending on cython3.
  * Ensure dependency on the correct python3-numpy-abiN.
  * Be more explicit about enabling/disabling GUDHUI at various stages in the build process.
  * Add brittle temporary workaround to stop making online HTTP requests
    in documentaiton. (Closes: #1059612)

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 06 Jan 2024 13:31:20 +0100

gudhi (3.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version. (Closes: #1039002)
  * Refresh patches and drop ones no longer needed.
  * Build-depend on cython-legacy, awaiting proper Cython 3 support in
    GUDHI 3.9.
  * Bump Hera and CMake build-dependencies.
  * Add loong64 to explicit architecture lists. (Closes: #1059219)
  * Ignore new tests requiring Tensorflow.
  * Reflect Hera 2.0 include directories.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 27 Dec 2023 14:07:11 +0100

gudhi (3.7.1+dfsg-2) unstable; urgency=medium

  * Add patch to support Cython 3. (Closes: #1056804)

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 26 Nov 2023 13:08:34 +0100

gudhi (3.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop some more images from DFSG repack.
  * Refresh patches.
  * Drop upstreamed patch for QGLViewer 2.7.
  * Add patch to keep supporting Hera 1.0.
  * Standards-version 4.6.2.0, no changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 26 Jan 2023 16:35:52 +0100

gudhi (3.6.0+dfsg-4) unstable; urgency=medium

  * Add patch to support QGLViewer >=2.7. (Closes: 1024061)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 14 Nov 2022 17:30:15 +0100

gudhi (3.6.0+dfsg-3) unstable; urgency=medium

  * Bump CGAL dependency to >=5.5.1, allowing us to drop the CGAL 5.5
    compatibility patch.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 03 Nov 2022 16:48:20 +0100

gudhi (3.6.0+dfsg-2) unstable; urgency=medium

  * Fix watch file broken by GitHub change.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 03 Oct 2022 16:31:23 +0200

gudhi (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop some new DFSG-incompatible image files.
  * Refresh patches.
  * Remove cleanup of Miniball, no longer shipped upstream.
  * Revamp d/rules in order to *actually* build the "user version", as
    intended upstream.
    - Drop doxygen patch now that we build correctly.
  * Clean up documentation installation.
  * Autopkgtests: Disable new inappropriate tests.
  * Explicitly disable build-time test that requires Internet access.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 17 Aug 2022 21:47:20 +0200

gudhi (3.5.0+dfsg-3) unstable; urgency=medium

  * Add patch to fix building with CGAL 5.5. (Closes: #1017138)
  * Standards-version 4.6.1.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 16 Aug 2022 16:01:50 +0200

gudhi (3.5.0+dfsg-2) unstable; urgency=medium

  * Update d/libgudhi-doc.doc-base to reflect moved docs.
  * Rebuild with hera 1.0.0.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 01 May 2022 11:19:32 +0200

gudhi (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Rebase patches.
  * Drop patches:
    - 0005-Install-Python-module-in-correct-location
    - 0006-Move-towards-reproducible-builds
    - 0007-Turn-positional-argument-into-keyword-argument
  * Update copyright ranges.
  * Remove some files from files-excluded as they have been dropped
    upstream.
  * Move HTML documentation to libgudhi-dev's doc directory.
  * Add patch to avoid building Doxygen docs from source root.
  * Don't build Python modules using CMake.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 14 Jan 2022 19:28:42 +0100

gudhi (3.4.1+dfsg-3) unstable; urgency=medium

  * Add patch to turn sklearn positional args into keyword ones, for
    compatibility with sklearn 1.0. (Closes: #1002331)
  * Standards-version 4.6.0.1. No changes needed.
  * Remove tomato test from blacklist.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 23 Dec 2021 16:37:05 +0100

gudhi (3.4.1+dfsg-2) unstable; urgency=medium

  * Fix watch file.
  * Rebuild with new version of libhera-dev.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 18 Aug 2021 09:22:39 +0200

gudhi (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed patch for CGAL 5.2.
  * Drop patch that forces linking with libatomic, it seems no longer to
    be needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 22 Jan 2021 11:27:48 +0100

gudhi (3.4.0+dfsg-2) unstable; urgency=medium

  * Add patch to fix building with CGAL 5.2. (Closes: #978191)

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 29 Dec 2020 11:00:12 +0100

gudhi (3.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
    - Disable new test that requires PyTorch and TensorFlow.
  * Standards-version 4.5.1, no changes needed.
  * Prevent some tests from even loading, as their imports fail.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 17 Dec 2020 14:50:12 +0100

gudhi (3.3.0+dfsg-4) unstable; urgency=medium

  * Enable EagerPy support. (Closes: #972686)
    - Enable tests that require EagerPy.
  * Tune GCC GC to help Ubuntu buildds not run out of memory on arm.
  * Disable test that wants to use X.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 01 Nov 2020 14:20:00 +0100

gudhi (3.3.0+dfsg-3) unstable; urgency=medium

  * Fix binary-all FTBFS. (Closes: #972267)

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 16 Oct 2020 11:11:36 +0200

gudhi (3.3.0+dfsg-2) unstable; urgency=medium

  * Treat all Python versions the same way during build.
  * Fix broken build with multiple Python versions. (Closes: #972009)

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 11 Oct 2020 17:23:10 +0200

gudhi (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch for working around #963955 (bug closed in Qt).
  * Build the exported "user version".
  * Drop 0008-Don-t-try-to-install-Hera.patch, no longer needed.
  * Install collapse utilities.
  * Move git to Salsa.
  * Tidy up Boost dependencies.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 11 Aug 2020 13:58:59 +0200

gudhi (3.2.0+dfsg-4) unstable; urgency=medium

  * Re-enable build-time tests on s390x, no longer failing.
  * Simplify autopkgtesting.
  * Demote matplotlib and POT to recommends for python3-gudhi.
  * Demote libhera-dev to suggests for libgudhi-dev.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 10 Jul 2020 11:14:03 +0200

gudhi (3.2.0+dfsg-3) unstable; urgency=medium

  * Enable Wasserstein Python module. (Closes: #949475)
    - Depend on python3-pot.
    - Drop corresponding patch.
    - Don't blacklist Wasserstein tests anymore.
  * Recommend POT, SciPy and scikit-learn.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 08 Jul 2020 21:32:32 +0200

gudhi (3.2.0+dfsg-2) unstable; urgency=medium

  * Add patch 0010-Work-around-963955.patch to work around FTBFS with
    Qt 5.14.
  * DH compat level 13.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 29 Jun 2020 13:40:18 +0200

gudhi (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #961783)
  * Refresh patches.
  * Depend on pybind11 and hera.
  * Fix broken tests that trivially passed.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 06 Jun 2020 15:12:31 +0200

gudhi (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 07 Feb 2020 18:04:44 +0100

gudhi (3.1.0+dfsg-2) unstable; urgency=medium

  * Require PyTest for autopkgtests.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 22 Jan 2020 11:16:38 +0100

gudhi (3.1.0+dfsg-1) unstable; urgency=medium

  * Allow forcing parallel builds for local use.
  * Standards-version 4.5.0.0. No changes needed.
  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 21 Jan 2020 10:26:33 +0100

gudhi (3.0.0+dfsg-4) unstable; urgency=medium

  * Drop 0003-Don-t-set-runtime-library-dirs-for-Python-extensions.patch
    in favor of CMake option.
  * Disable parallel builds. A lot of buildds seem to be swapping out, and
    some Ubuntu ones run out of memory outright. (Closes: #945226)
  * Standards-version 4.4.1. No changes needed.
  * Drop 0004-Force-linking-of-Python-module-with-CGAL.patch since CGAL is
    now header-only.
  * Add 0007-Move-towards-reproducible-builds.patch to move towards
    reproducible builds.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 10 Dec 2019 14:33:51 +0100

gudhi (3.0.0+dfsg-3) unstable; urgency=medium

  * Disable build-time tests on i386 and s390x.
  * Drop support for mipsel due to failure to build because of too little
    addressable memory. This introduces an explicit architecture list for
    the packages.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 30 Oct 2019 09:27:19 +0100

gudhi (3.0.0+dfsg-2) unstable; urgency=medium

  * Fix binary-arch build.
  * Disable parallel building also on i386.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 23 Oct 2019 22:18:22 +0200

gudhi (3.0.0+dfsg-1) unstable; urgency=medium

  * New upstream:
    - Python interface for sparse Rips complexes.
    - New C++ interface for alpha complexes.
  * Standards-version 4.4.0. No changes needed.
  * DH compat 12.
  * Declare Rules-Requires-Root: no.
  * Change maintainer email address.
  * Refresh patches for new version.
    - Drop 0008-Propagate-CXXFLAGS-when-building-Python-modules.patch, seems no
      longer needed.
    - Add 0008-Install-Python-module-in-correct-location.patch to install Python
      modules in correct location.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 23 Oct 2019 11:47:25 +0200

gudhi (2.3.0+dfsg-2) unstable; urgency=medium

  * Disable parallel building on certain architectures to avoid buildds
    running out of memory.
  * New patch to properly propagate CXXFLAGS when building the Python
    modules.

 -- Gard Spreemann <gspreemann@gmail.com>  Fri, 05 Oct 2018 17:05:03 +0200

gudhi (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - Python interface for GIC.
  * Refresh patches:
    - Expand patch to disable new tests that rely on DFSG-deleted data.
  * Standards-version 4.2.1. No changes needed.

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 11 Sep 2018 16:10:44 +0200

gudhi (2.2.0+dfsg-3) unstable; urgency=medium

  * Fix build of bindings for multiple Python versions when building just
    binary-arch.
  * Test all supported Python (3) versions.

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 14 Aug 2018 13:45:43 +0200

gudhi (2.2.0+dfsg-2) unstable; urgency=medium

  * Build Python bindings for all supported Python (3) versions.
  * Drop patch forcing Python 3 detection. Upstream has cmake option for
    selecting Python version.
  * Standards-version 4.2.0. No changes needed.

 -- Gard Spreemann <gspreemann@gmail.com>  Tue, 07 Aug 2018 13:47:38 +0200

gudhi (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Čech complex.
    - New functionality for the Rips complex.
  * Refresh patches:
    - Drop floating point precision workaround patch (fixed upstream).
    - Drop CGAL 4.12 compatibility patch (fixed upstream).
  * Streamline the copyright information a bit.
  * Bump CMake build-dep to 3.1.
  * New upstream utilities in gudhi-utils.

 -- Gard Spreemann <gspreemann@gmail.com>  Fri, 22 Jun 2018 10:12:19 +0200

gudhi (2.1.0+dfsg-3) unstable; urgency=medium

  * Add patch for floating point rounding problem on some architectures.
  * Add patch that forces linking against libatomic. This hopefully fixes
    building on MIPS et al.
  * Install utilities (gudhi-utils).

 -- Gard Spreemann <gspreemann@gmail.com>  Thu, 14 Jun 2018 20:07:51 +0200

gudhi (2.1.0+dfsg-2) unstable; urgency=medium

  * Add patches for CGAL 4.12 compatibility.
  * Bump standards-version to 4.1.4. No changes needed.

 -- Gard Spreemann <gspreemann@gmail.com>  Thu, 24 May 2018 11:46:12 +0200

gudhi (2.1.0+dfsg-1) unstable; urgency=medium

  * Initial packaging. (Closes: #840686)

 -- Gard Spreemann <gspreemann@gmail.com>  Sun, 25 Mar 2018 23:52:14 +0200
